For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
OverviewCodaControlAPI ReferenceChangelog
OverviewCodaControlAPI ReferenceChangelog
  • Coda API
      • GETList Tools
      • POSTTranspile
      • POSTSimulate
      • POSTTo OpenQASM 3
      • POSTEstimate Resources
      • POSTSplit Circuit
  • Control API
  • Stanza API
    • stanza
    • cli
    • context
    • device
    • exceptions
    • models
    • pyvisa
    • registry
    • timing
    • utils
LogoLogo
Coda APITools

List Tools

GET
https://api.conductorquantum.com/v0/coda/tools
GET
/v0/coda/tools
1from conductorquantum import ConductorQuantum
2
3client = ConductorQuantum(token="<token>")
4tools = client.coda.tools.list()
5print(tools)
200Retrieved
1{
2 "tools": [
3 {
4 "name": "transpile",
5 "description": "Convert quantum circuit code between frameworks"
6 },
7 {
8 "name": "simulate",
9 "description": "Run a quantum circuit simulation"
10 },
11 {
12 "name": "to_openqasm3",
13 "description": "Convert to OpenQASM 3.0"
14 },
15 {
16 "name": "estimate_resources",
17 "description": "Estimate circuit resource requirements"
18 },
19 {
20 "name": "split_circuit",
21 "description": "Split large circuits using circuit cutting"
22 }
23 ]
24}
List available quantum circuit tools.
Was this page helpful?
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

Successful Response